/*------------------------------------*\
  gallery
\*------------------------------------*/

.gallery {
  img {
    display: block;
    width: 100%;
  }
  .gallery__item + .gallery__item {
    margin-top: $spacing-sm;
  }
}

// scroll
.gallery--scroll:not(.is-classic) {
  @include media('>=sm') {
    padding: 0;
    position: relative;
    height: calc(100vh - #{$header-lg-height});
    .gallery__item {
      position: absolute;
      width: 100%;
      height: 100%;
      margin: 0 !important;
    }
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
      object-position: center;
    }
    // image une
    .gallery__item:first-child {
      z-index: 1;
      img {object-fit: cover;}
    }
    // other images
    .gallery__item:not(:first-child) {
      img {padding: $spacing-xl $grid-gutter-width/2;}
      // is active
      &.is-active {z-index: 2;}
    }
  }
}

// cover
@include media('>=sm') {
  .cover-wrapper {padding: 0}
  .cover {
    height: calc(100vh - #{$header-lg-height});
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      object-position: center;
    }
  }
}